EndpointsCoaching Sessions

Add coaching revision

POST/v2/coaching-sessions/{coaching_session_id}/revisions

Appends a human correction to one event's text or context window; the original is preserved.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

coaching_session_id*Coaching Session Id

Coaching session to correct.

Match^csn_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Request Body

application/json

idempotency_key*Idempotency Key

Caller-chosen key; a retry with the same key returns the original instead of creating another.

Length1 <= length <= 200
event_id*Event Id

Event being corrected.

Formatuuid
text?|

Corrected text.

start_ms?|

Corrected start of the moment's context window.

end_ms?|

Corrected end of the moment's context window.

curl -X POST "https://softmax.com/api/observatory/v2/coaching-sessions/string/revisions" \  -H "Content-Type: application/json" \  -d '{    "idempotency_key": "string",    "event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",  "text": "string",  "start_ms": 0,  "end_ms": 0,  "author_user_id": "string"}